INTERFACE
SUBROUTINE ACDIFV1 ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPHIF,PAPRSF,PCP,PDELP,PKTROV,PKUROV,&
 & PQ,PQL,PQI,&
 & PRDELP,PT,PU,PV,PXTROV,PXUROV,&
 & PXDROV,PXHROV,&
 & PXURO,PXQRO,PXTRO,&
 & PCFAQ,PCFAS,PCFATH,PCFAU,&
 & PCFBQ,PCFBS,PCFBTH,PCFBU,PCFBV,&
 & PDSE,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKUROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXUROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDROV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXHROV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXURO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXQRO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXTRO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFAQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFAS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFATH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFAU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFBQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFBS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFBTH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFBU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCFBV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDSE(KLON,KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACDIFV1
END INTERFACE
